Package org.apache.commons.compress.archivers.dump

# Class DumpArchiveConstants

java.lang.Object
org.apache.commons.compress.archivers.dump.DumpArchiveConstants

public final class DumpArchiveConstants extends Object
Various constants associated with dump archives.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DumpArchiveConstants.COMPRESSION_TYPE`
  The type of compression.
  `static enum`
  `DumpArchiveConstants.SEGMENT_TYPE`
  The type of tape segment.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHECKSUM`
  `static final int`
  `FS_UFS2_MAGIC`
  `static final int`
  `HIGH_DENSITY_NTREC`
  `static final int`
  `LBLSIZE`
  `static final int`
  `NAMELEN`
  `static final int`
  `NFS_MAGIC`
  `static final int`
  `NTREC`
  `static final int`
  `OFS_MAGIC`
  `static final int`
  `TP_SIZE`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TP_SIZE

    public static final int TP_SIZE
    See Also:
      - Constant Field Values

  - ### NTREC

    public static final int NTREC
    See Also:
      - Constant Field Values

  - ### HIGH_DENSITY_NTREC

    public static final int HIGH_DENSITY_NTREC
    See Also:
      - Constant Field Values

  - ### OFS_MAGIC

    public static final int OFS_MAGIC
    See Also:
      - Constant Field Values

  - ### NFS_MAGIC

    public static final int NFS_MAGIC
    See Also:
      - Constant Field Values

  - ### FS_UFS2_MAGIC

    public static final int FS_UFS2_MAGIC
    See Also:
      - Constant Field Values

  - ### CHECKSUM

    public static final int CHECKSUM
    See Also:
      - Constant Field Values

  - ### LBLSIZE

    public static final int LBLSIZE
    See Also:
      - Constant Field Values

  - ### NAMELEN

    public static final int NAMELEN
    See Also:
      - Constant Field Values